# std::_Fwd_list_node_base Struct Reference

A helper basic node class for forward_list. This is just a linked list with nothing inside it. There are purely list shuffling utility methods here. More...

Inheritance diagram for std::_Fwd_list_node_base:
[legend]

List of all members.

## Public Member Functions

- void _M_reverse_after ()
- _Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end)
- _Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin)

## Static Public Member Functions

- static void swap (_Fwd_list_node_base &__x, _Fwd_list_node_base &__y)

## Public Attributes

- _Fwd_list_node_base * _M_next

## Detailed Description

A helper basic node class for forward_list. This is just a linked list with nothing inside it. There are purely list shuffling utility methods here.

Definition at line 44 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h